@import '~antd/lib/style/themes/default.less';

@nav-header-height: @layout-header-height;

.logo {
  position: relative;
  height: @nav-header-height;
  padding-left: (@menu-collapsed-width - 32px) / 2;
  overflow: hidden;
  line-height: @nav-header-height;
  background: #002140;
  transition: all 0.3s;
  .logo-img {
    display: inline-block;
    height: 40px;
    margin: 0 0 0 -5px;
    vertical-align: middle;
  }
  .text-img {
    display: inline-block;
    margin: 0 -10px 0 12px;
    height: 40px;
    width: 60%;
    vertical-align: middle;
  }
  // h1 {
  //   display: inline-block;
  //   margin: 0 0 0 12px;
  //   color: white;
  //   font-weight: 600;
  //   font-size: 20px;
  //   font-family: Avenir, 'Helvetica Neue', Arial, Helvetica, sans-serif;
  //   vertical-align: middle;
  // }
}

.sider {
    position: relative;
    z-index: 10;
    min-height: 100vh;
    min-width: 256px;
    box-shadow: 2px 0 6px rgba(0, 21, 41, 0.35);
    &.fixSiderBar {
      position: fixed;
      top: 0;
      left: 0;
      box-shadow: 2px 0 8px 0 rgba(29, 35, 41, 0.05);
      :global {
        .ant-menu-root {
          height: ~'calc(100vh - @{nav-header-height})';
          overflow-y: auto;
        }
        .ant-menu-inline {
          border-right: 0;
          .ant-menu-item,
          .ant-menu-submenu-title {
            width: 100%;
          }
        }
      }
    }
}